# KDChartAbstractDiagram.cpp File Reference

`#include <QPainter>`
`#include <QDebug>`
`#include <QApplication>`
`#include <QAbstractProxyModel>`
`#include <QAbstractTextDocumentLayout>`
`#include <QStandardItemModel>`
`#include <QSizeF>`
`#include <QTextDocument>`
`#include "KDChartAbstractCoordinatePlane.h"`
`#include "KDChartChart.h"`
`#include "KDChartDataValueAttributes.h"`
`#include "KDChartTextAttributes.h"`
`#include "KDChartMarkerAttributes.h"`
`#include "KDChartAbstractDiagram.h"`
`#include "KDChartAbstractDiagram_p.h"`
`#include "KDChartAbstractThreeDAttributes.h"`
`#include "KDChartThreeDLineAttributes.h"`
`#include <KDABLibFakes>`

Include dependency graph for KDChartAbstractDiagram.cpp:

Go to the source code of this file.

## Defines

#define | d d_func()

## Define Documentation

#define d d_func()

Definition at line 109 of file KDChartAbstractDiagram.cpp.